Name:		libaccounts-qt
Version:	0.31
Release:	6%{?dist}
Summary:	Accounts framework
Group:		System Environment/Libraries
License:	LGPLv2
URL:		http://gitorious.org/accounts-sso/accounts-qt
Source0:	accounts-qt-%{version}.tar.gz
# Fix compilation error in 64 bit arches
Patch0:		accounts-qt-0.28-fix-64bit-compilation.patch
# extracted from http://repo.meego.com/MeeGo/builds/trunk/daily/core/repos/source/libaccounts-qt-0.31-1.5.src.rpm
BuildRequires:	qt-devel libaccounts-glib-devel
BuildRequires:	doxygen graphviz

%description
Framework to provide accounts.

%package devel
Summary:	Development files for accounts-qt
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	qt4-devel%{?_isa}

%description devel
Headers, development libraries and documentation for accounts-qt.

%prep
%setup -q -n accounts-qt-%{version}
%patch0 -p1

sed -i 's\{INSTALL_PREFIX}/lib\{INSTALL_PREFIX}/%{_lib}\g' common-installs-config.pri
sed -i 's\{INSTALL_PREFIX}/lib\{INSTALL_PREFIX}/%{_lib}\g' Accounts/Accounts.pro
sed -i 's\usr/lib\usr/%{_lib}\g' Accounts/accounts.prf
sed -i 's\usr/lib\usr/%{_lib}\g' Accounts/accounts-qt.pc
sed -i 's\{prefix}/lib\{prefix}/%{_lib}\g' Accounts/accounts-qt.pc

%build
export PATH=%{_qt4_bindir}:$PATH
%{_qt4_qmake} QMF_INSTALL_ROOT=%{_prefix} \
    CONFIG+=release accounts-qt.pro

make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}

rm -f %{buildroot}/%{_datadir}/doc/accounts-qt/html/installdox

#remove tests for now
rm -rf %{buildroot}%{_datadir}/%{name}-tests
rm -f %{buildroot}%{_bindir}/accountstest

mv %{buildroot}%{_docdir}/accounts-qt %{buildroot}%{_docdir}/libaccounts-qt

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/lib*.so.*
%{_bindir}/account-tool

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_includedir}/accounts-qt/
%{_libdir}/pkgconfig/accounts-qt.pc
%{_libdir}/qt4/mkspecs/*
%{_docdir}/libaccounts-qt

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.31-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.31-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.31-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 06 2010 Chen Lei <supercyper@163.com> - 0.31-3
- Fix doc path

* Fri Aug 06 2010 Chen Lei <supercyper@163.com> - 0.31-2
- Small fix for description

* Fri Aug 06 2010 Chen Lei <supercyper@163.com> - 0.31-1
- New upstream release
- Several changes against package review

* Fri Jul 23 2010 Chen Lei <supercyper@163.com> - 0.28-1
- Initial packaging for Fedora

* Mon Jun 14 2010 Bernd Wachter <ext-bernd.wachter@nokia.com> - 0.28
- Update to latest version
